it-swarm.com.de

Wie installiere ich Git in Lubuntu (APT kann das Paket libcur14-gnutls-dev nicht finden)?

Ich habe versucht, Git auf meinem Laptop zu installieren, auf dem Lubuntu läuft. Ich habe das Muster auf der Git-Website befolgt und es heißt:

m Git zu installieren, benötigen Sie die folgenden Bibliotheken, von denen Git abhängig ist: curl, zlib, openssl, expat und libiconv

$ apt-get install libcurl4-gnutls-dev libexpat1-dev gettext \
  libz-dev libssl-dev

Als ich es jedoch eintippte, bekam ich Folgendes:

[email protected]:~$ Sudo apt-get install libcur14-gnutls-dev libexpat1-dev gettext libz-dev libssl-dev
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Note, selecting 'zlib1g-dev' instead of 'libz-dev'
E: Unable to locate package libcur14-gnutls-dev
[email protected]:~$ 

Weiß jemand, was falsch ist und was ich tun soll?

3
caesar

Das Problem ist, dass Ihr Installationsbefehl einen Tippfehler enthält. Insbesondere haben Sie apt-get angewiesen, ein Paket namens libcur14-gnutls-dev zu installieren. Aber der richtige Name ist libcurl4-gnutls-dev.

Das heißt, Sie haben einen l (d. H. Einen Kleinbuchstaben L), für den Sie einen 1 (eine Ziffer eins) haben sollten. Es ist (semantisch) "lib curl 4", nicht "lib cur 14".

Führen Sie stattdessen Folgendes aus:

Sudo apt-get install libcurl4-gnutls-dev

(Wenn Sie Pakete in der Befehlszeile installieren, ist es außerdem ratsam, zuerst Sudo apt-get update auszuführen, sofern Sie dies nicht kürzlich getan haben.)

Allerdings möchten Sie Git möglicherweise nicht auf diese Weise installieren.

Die Anweisungen, die Sie befolgen, scheinen für das Kompilieren von Git selbst zu gelten. Das ist eine absolut gültige Sache, aber für die meisten Menschen ist es eine Menge unnötiger Arbeit, und wenn Sie dies tun, kann das System Git nicht automatisch aktualisieren, wenn eine neuere Version verfügbar ist. (In einigen Fällen kann es auch zu Problemen bei der Integration mit dem installierten Git kommen, da der Paketmanager nicht "weiß", dass es installiert ist.)

Daher, wie Tarun vorgeschlagen hat , möchten Sie vielleicht nur Git direkt installieren (Ubuntu hat Git-Pakete, was viel schneller und einfacher ist!).

Sudo apt-get install git-core

Normalerweise müssen Sie Git nur selbst aus dem Quellcode erstellen, wenn Sie eine Version benötigen, die neuer als die für Ubuntu verfügbare Version ist. Auch in diesen Situationen gibt es oft Alternativen. Teilen Sie uns daher Ihre Wünsche mit.

7
Eliah Kagan

Gehen Sie zu Update Manager> Einstellungen und wählen Sie auf der Registerkarte "Ubuntu-Software" im Dropdown-Menü "Serverliste" die Option "Hauptserver" aus.

0